Do I need a processor with SSE 4.1 to run Corona Renderer?


Up to Corona Renderer 1.7 hotfix 2 - no, you can also use a processor without SSE 4.1 and Corona Renderer will run Legacy version which is about 20% slower.


From Corona Renderer 2 onward, the legacy version will no longer be offered, and you will need a CPU that supports the SSE4.1 instruction set (that is, any processor from within the last 10 years). Here is a list of compatible CPUs. We will continue to support running the Licensing Server on legacy CPUs, but this will be only the Licensing Server (the computer won’t be able to be used for rendering).